Show / Hide Table of Contents

# Struct hkRootLevelContainer.NamedVariant

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct NamedVariant

### Fields

| Improve this Doc View Source

#### ClassName

##### Declaration

    public hkStringPtr ClassName

##### Field Value

Type | Description
--- | ---
hkStringPtr |

| Improve this Doc View Source

#### Name

##### Declaration

    public hkStringPtr Name

##### Field Value

Type | Description
--- | ---
hkStringPtr |

| Improve this Doc View Source

#### Variant

##### Declaration

    public hkRefPtr<hkReferencedObject> Variant

##### Field Value

Type | Description
--- | ---
hkRefPtr<hkReferencedObject> |